AM263Px MCU+ SDK: APIs for DTHE

| AM263Px MCU+ SDK 26.00.00 |

Files | Data Structures | Functions | Typedefs | Enumerations
APIs for DTHE
APIs for Security Drivers

## Introduction

This module contains APIs to program and use the DTHE.

## Files
file | dthe.h
| This file contains the prototype of DTHE driver APIs.

## Data Structures
struct | DTHE_Attrs
| DTHE attributes. More...
struct | DTHE_Config
| DTHE driver context. More...

## Functions
void | DTHE_init (void)
| This function initializes the DTHE. More...
void | DTHE_deinit (void)
| This function de-initializes the DTHE. More...
DTHE_Handle | DTHE_open (uint32_t index)
| Function to open DTHE instance, enable DTHE engine. More...
DTHE_Return_t | DTHE_close (DTHE_Handle handle)
| Function to close a DTHE module specified by the DTHE handle. More...

## Typedefs
typedef void * | DTHE_Handle
| Handle to the DTHE driver. More...

## Enumerations
enum | DTHE_Return_t { DTHE_RETURN_SUCCESS = 0xCE50311AU, DTHE_RETURN_FAILURE = 0x924FC5E7U }
| DTHE Driver Error code. More...

## Typedef Documentation

## ◆ DTHE_Handle

typedef void* DTHE_Handle

Handle to the DTHE driver.

## Enumeration Type Documentation

## ◆ DTHE_Return_t

enum DTHE_Return_t

DTHE Driver Error code.

The enumeration describes all the possible return and error codes which the DTHE Driver can return

Enumerator
DTHE_RETURN_SUCCESS | Success/pass return code
DTHE_RETURN_FAILURE | General or unspecified failure/error

## Function Documentation

## ◆ DTHE_init()

void DTHE_init | ( | void |  | ) |

This function initializes the DTHE.

## ◆ DTHE_deinit()

void DTHE_deinit | ( | void |  | ) |

This function de-initializes the DTHE.

## ◆ DTHE_open()

DTHE_Handle DTHE_open | ( | uint32_t | index | ) |

Function to open DTHE instance, enable DTHE engine.

Parameters

  index | Index of config to use in the DTHE_Config array.

Returns
  A DTHE_Handle on success or a NULL on an error.

## ◆ DTHE_close()

DTHE_Return_t DTHE_close | ( | DTHE_Handle | handle | ) |

Function to close a DTHE module specified by the DTHE handle.

Parameters

  handle | DTHE_Handle returned from DTHE_open()

Returns
  DTHE_RETURN_SUCCESS if requested operation completed. DTHE_RETURN_FAILURE if requested operation not completed.

## Variable Documentation

## ◆ gDtheConfig

DTHE_Config gDtheConfig[]
| extern

Externally defined driver configuration array.

## ◆ gDtheConfigNum

uint32_t gDtheConfigNum
| extern

Externally defined driver configuration Num.